# Class GMSaver

java.lang.Object
GMSaver

public class GMSaver extends Object
Cette classe implémente un gestionnaire d'enregistrement de grille de jeu. Elle permet à l'utilisateur de sauvegarder une grille de jeu dans un fichier spécifié. Les fichiers de grille sont sauvegardés avec l'extension ".gri".

## Constructor Summary

Constructors
Constructor
Description
`GMSaver(JFrame parentFrame, GMGrid grid)`
Constructeur de la classe GMSaver.

## Method Summary

Modifier and Type
Method
Description
`void`
`saveGridIfNeeded()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMSaver

public GMSaver(JFrame parentFrame, GMGrid grid)
Constructeur de la classe GMSaver.

Parameters:
  `parentFrame` - La fenêtre parent.
  `grid` - La grille de jeu à sauvegarder.

## Method Details

### saveGridIfNeeded

public void saveGridIfNeeded()